For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
      • GETList or filter all WhatsAppMessage activities
      • POSTCreate a WhatsAppMessage activity
      • GETGet a single WhatsAppMessage activity
      • PUTUpdate a WhatsAppMessage activity
      • DELDelete a WhatsAppMessage activity
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
ActivitiesWhatsApp Messages

Update a WhatsAppMessage activity

||View as Markdown|
PUT
https://api.close.com/api/v1/activity/whatsapp_message/:id/
PUT
/api/v1/activity/whatsapp_message/:id/
$curl -X PUT https://api.close.com/api/v1/activity/whatsapp_message/id/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "message_markdown": "Updated content."
>}'
1{
2 "_type": "WhatsAppMessage",
3 "activity_at": "2013-02-20T06:39:57.266000+00:00",
4 "contact_id": "cont_q4xYmlGhA3060dEl0NDJuHRxPMuVjqLn30AFSzh1fRk",
5 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
6 "date_created": "2013-02-20T06:39:57.266000+00:00",
7 "date_updated": "2013-02-20T06:41:59.846000+00:00",
8 "direction": "outgoing",
9 "external_whatsapp_message_id": "1234567890",
10 "id": "acti_kwWA3rOfy4BnaZ8QQk3RIIAz51dU9ayiluy1s961Oiw",
11 "integration_link": null,
12 "integration_name": "API",
13 "lead_id": "lead_s6vHFTK1TSRoH6otXOexWDO9jM4xyb1kELHDoU7Fdsp",
14 "local_phone": "+16503334444",
15 "local_phone_formatted": "+1 650-333-444",
16 "message_html": "<p>Updated content.</p>",
17 "message_markdown": "Updated content.",
18 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
19 "remote_phone": "+18183004000",
20 "remote_phone_formatted": "+1 818-300-4000",
21 "response_to_id": null,
22 "source": "api",
23 "text": "test",
24 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
25 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
26 "users": [],
27 "attachments": [],
28 "created_by_name": "Bruce Wayne",
29 "updated_by_name": "Bruce Wayne",
30 "user_name": "Bruce Wayne"
31}
Was this page helpful?
Previous

Get a single WhatsAppMessage activity

Next

Delete a WhatsAppMessage activity

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
activity_atdatetimeOptional
attachmentslist of objectsOptional
contact_idstringOptional
directionenumOptional

Direction of communication. Outgoing means the communication flowing from the user to the lead/contact. Inbound means the opposite.

Allowed values:
integration_linkstring or nullOptionalformat: "uri"1-2083 characters
local_phonestringOptional
message_markdownstringOptional
remote_phonestringOptional
response_to_idstring or nullOptional
user_idstringOptional

Response

Successful response
_typestring
activity_atdatetime or null
contact_idstring or null
created_bystring or null
date_createddatetime
date_updateddatetime
directionenum

Direction of communication. Outgoing means the communication flowing from the user to the lead/contact. Inbound means the opposite.

Allowed values:
external_whatsapp_message_idstring
idstring
integration_linkstring or null
integration_namestring or null
lead_idstring or null
local_phonestring
local_phone_formattedstring
message_htmlstring
message_markdownstring
organization_idstring
remote_phonestring
remote_phone_formattedstring
response_to_idstring or null
sourceenum
textstring
updated_bystring or null
user_idstring or null
userslist of strings
attachmentslist of objects
created_by_namestring or null
sequence_idstring or null
sequence_namestring or null
sequence_subscription_idstring or null
updated_by_namestring or null
user_namestring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error